Home//
REST API Reference
/- List all office hours schedules
Retrieve an office hours exception
Update an office hours exception
Delete an office hours exception
List all office hours exceptions
Create an office hours exception
Retrieve an office hours schedule
Update an office hours schedule
Delete an office hours schedule
Create an office hours schedule
Office Hours Exception
Office Hours Schedule
Office Hours Time Interval
List all office hours sch...
You can fetch a list of all office hours schedules for the workspace.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
- The production API serverhttps://api.intercom.io/office_hours_schedules
- The european API serverhttps://api.eu.intercom.io/office_hours_schedules
- The australian API serverhttps://api.au.intercom.io/office_hours_schedules
curl -i -X GET \
https://api.intercom.io/office_hours_schedules \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.16'Successful response
The type of the object - always office_hours_schedule.list.
Example:"office_hours_schedule.list"
dataArray of objects(Office Hours Schedule)
An array of office hours schedules.
Response
{ "type": "office_hours_schedule.list", "data": [ { … } ] }